// Vector.h 

// header file for Vector.cc 
//Copyright 1997, T. Weldon



#ifndef _Vector_h		// this prevents multiple inclusion 
				// of the header
#define _Vector_h 1


#include <stdlib.h>		// standard library
#include <iostream.h>		// basic I/O library
#include <new.h>		// library for new/delete
#include <fstream.h>		// library for file I/O
#include <string.h>

class Vector			//our new class 
{

private:			// (private) data in our class:
	char *Message;		// a chracter string
	int x;			// an integer variable
	int y;			// another

public:					// (public) functions in our class:
	Vector();			// default constructor
	Vector(char *, int, int);	// "full" constructor
	~Vector();				// destructor
	void print()			// function to print out the contents
					//      implemented "in-line" below:
		{cout << Message << " x=" << x << " y=" << y <<"\n";}

	Vector &operator=(Vector&);	//"overloaded" equal
	Vector inner(Vector&);		//inner product, x1*x2 + y1*y2
};

#endif
